cc.Class({
    extends: cc.Component,

    properties: {
        model:cc.Node,
        modelx:cc.Node,
        btn:cc.Node,
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        cc.log("9");
        cc.log(this.model);
        cc.log("***************");
        cc.log(this.btn);
        this.btn.on("touchend",function(event){
            // cc.log(event);
            cc.log("0");
            var a = this.model.getComponent(cc.SkeletonAnimation).play("Take 001");
            a.wrapMode = cc.WrapMode.Loop;
            a.repeatCount = 1;
            // var b = this.modelx.getComponent(cc.SkeletonAnimation).play("Take 001");
            // b.wrapMode = cc.WrapMode.Loop;
            // b.repeatCount = 1;
        },this);
    },

    start () {

    },

    // update (dt) {},
});
